[Bug] Probleme de lancement plugin.
#1
Smile 
Bonjour a tous.

Nous avons procédé à l'installation  eggdrop v1.8.2,

J'ai voulu installé des plugins avec la derniere version de Eggdrop,

Et nous avons actuellement un soucis sur les plugins.

En effet, quand je lance mon eggdrop et bien il récupère bien le script du plugin mais il ne se lance pas.

Apres analyse de la log on voit qu'il demande la version 1.6.20 mais je suis bien au dessus la version demandée.

Voici l'extrait de la log

[10:41:53] 04[Interface MegaHAL - erreur] La version de votre Eggdrop est04 1.8.2 1080203; Interface MegaHAL ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.

[10:41:53] 04[CleverEgg - ERREUR] La version de votre Eggdrop est04 1.8.2 1080203; CleverEgg ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.


Avez vous une idée ?

Cordialement,
  Répondre   Avertir
#2
(06/10/2017, 10:53)deejay-wilo a écrit : Bonjour a tous.

Nous avons procédé à l'installation  eggdrop v1.8.2,

J'ai voulu installé des plugin avec la derniere version de Eggdrop,

Et nous avons actuellement un soucis sur les plugin.

En effet, quand je lance mon eggdrop et bien il récupère bien le script du plugin mais il ne se lance pas.

Apres analyse de la log on voit qu'il demande la version 1.6.20 mais je suis bien au dessus la version demandée.

Voici l'extrait de la log

[10:41:53] 04[Interface MegaHAL - erreur] La version de votre Eggdrop est04 1.8.2 1080203; Interface MegaHAL ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.

[10:41:53] 04[CleverEgg - ERREUR] La version de votre Eggdrop est04 1.8.2 1080203; CleverEgg ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.


Avez vous une idée ?

Cordialement,
  Répondre   Avertir
#3
J'ai ajouté des autres plugins

source scripts/HaploPhone.tcl
source scripts/RDR.tcl
source scripts/Oracle.tcl

[11:22:04] 04[Interface MegaHAL - erreur] La version de votre Eggdrop est04 1.8.2 1080203; Interface MegaHAL ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.
[11:22:04] 04[CleverEgg - ERREUR] La version de votre Eggdrop est04 1.8.2 1080203; CleverEgg ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.
[11:22:04] 04[HaploPhone - erreur] La version de votre Eggdrop est04 1.8.2 1080203; HaploPhone ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.
[11:22:04] 04[Related Differential Report - erreur] La version de votre Eggdrop est04 1.8.2 1080203; Related Differential Report ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure.
[11:22:04] 04[Oracle - Erreur] Oracle nécessite que le script HaploPhone v3.0 (ou supérieur) soit chargé pour fonctionner.
  Répondre   Avertir
#4
Tu utilises bien les dernières versions des scripts ?
Pour oracle, voir ce lien (version 2.3.1), je ne crois pas que MegaHal ait été modifié
  Répondre   Avertir
#5
Pour info, il existe un post support dédié à MegaHAL afin de centraliser les problèmes et les solutions, il se trouve dans la section Releases et support.

Il faut remplacer la ligne :
tcl
if { [regsub -all {\.} [lindex $::version 0] ""] < 1620 } { putloglev o * "\00304\[Interface MegaHAL - erreur\]\003 La version de votre Eggdrop est\00304 ${::version}\003; Interface MegaHAL ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure." ; return }


par :
tcl
if { [package vcompare [regexp -inline {^[[:digit:]\.]+} $::version] 1.6.20] == -1 } { putloglev o * "\00304\[Interface MegaHAL - erreur\]\003 La version de votre Eggdrop est\00304 ${::version}\003; Interface MegaHAL ne fonctionnera correctement que sur les Eggdrops version 1.6.20 ou supérieure." ; return }


  Répondre   Avertir


Sujets apparemment similaires...
Sujet Auteur Réponses Affichages Dernier message
  Lancement du scrabble pour les users problème TekNix 2 2,710 30/08/2013, 01:28
Dernier message: TekNix
  Plugin systeme dans un TCL mcdeffice 7 3,956 21/06/2012, 00:27
Dernier message: djkenny

Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)